std::_Rb_tree::_Rb_tree_impl(3)

NAME
std::_Rb_tree::_Rb_tree_impl -

SYNOPSIS

Inherits _Node_allocator.

Detailed Description

  template<typename _Key, typename _Val, typename _KeyOfValue, typename _Compare, typename _Alloc = allocator<_Val>>template<typename _Key_compare, bool _Is_pod_comparator = std::__is_pod<_Key_compare>::__value> struct std::_Rb_tree< _Key, _Val, _KeyOfValue, _Compare, _Alloc >::_Rb_tree_impl< _Key_compare, _Is_pod_comparator >

Definition at line 398 of file stl_tree.h.

  Public Member Functions
_Rb_tree_impl (const _Node_allocator &__a=_Node_allocator(), const _Key_compare &__comp=_Key_compare())

  Public Attributes
_Rb_tree_node_base _M_header
_Key_compare _M_key_compare
size_type _M_node_count

Author

Generated automatically by Doxygen for libstdc++ from the source code.